> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell-universal/de/powershell-befehle/new-udexpansionpanel.md).

# New-UDExpansionPanel

New-UDExpansionPanel erstellt ein einzelnes ausklappbares Panel in PowerShell Universal, das Inhalte ausblendet, die beim ersten Laden der Seite nicht benötigt werden.

### Übersicht

Erstellt ein Erweiterungspanel.

### Syntax

```powershell
New-UDExpansionPanel [[-Id] <String>] [[-Title] <String>] [[-Icon] <Object>] [[-Children] <ScriptBlock>] [-Active] [[-ClassName] <String>] [<CommonParameters>]
```

### Beschreibung

Erstellt ein Erweiterungspanel. Ein Erweiterungspanel kann Inhalte ausblenden, deren Anzeige beim Laden einer Seite nicht notwendig ist.

### Parameter

#### -Id

Die ID der Komponente. Standardmäßig ist dies eine zufällige GUID.

```
Required?                    false
Position?                    1
Default value                ([Guid]::NewGuid())
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Title

Der Titel, der in der Kopfzeile des Erweiterungspanels angezeigt wird.

```
Required?                    false
Position?                    2
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Icon

Ein Symbol, das in der Kopfzeile des Erweiterungspanels angezeigt wird.

```
Required?                    false
Position?                    3
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Children

Untergeordnete Komponenten, die im Erweiterungspanel platziert werden sollen.

```
Required?                    false
Position?                    4
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Active

Ob das Erweiterungspanel derzeit aktiv (geöffnet) ist.

```
Required?                    false
Position?                    named
Default value                False
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -ClassName

```
Required?                    false
Position?                    5
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### Allgemeine Parameter

Dieses Cmdlet unterstützt die allgemeinen Parameter: Verbose, Debug, ErrorAction, ErrorVariable, WarningAction, WarningVariable, OutBuffer, PipelineVariable und OutVariable. Weitere Informationen finden Sie unter [about\_CommonParameters](https://go.microsoft.com/fwlink/?LinkID=113216).

### Ausgaben

### Beispiele

#### Beispiel 1

```powershell
New-UDExpansionPanel -Title "Hello" -Id 'expContent' -Content {
    New-UDElement -Tag 'div' -id 'expContentDiv' -Content { "Hello" }
}
```

Erstellt ein Erweiterungspanel mit einigen Inhalten.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.devolutions.net/powershell-universal/de/powershell-befehle/new-udexpansionpanel.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
